Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# sizegroup.hh File Reference

A GtkSizeGroup C++ wrapper interface. More...

`#include <xfc/glib/object.hh>`
`#include <xfc/gtk/enums.hh>`
`#include <xfc/gtk/inline/sizegroup.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::SizeGroup
    A GtkSizeGroup C++ wrapper class. More...

## Detailed Description

A GtkSizeGroup C++ wrapper interface.

Provides SizeGroup, a mechanism for grouping a number of widgets together so they all request the same amount of space. This is typically useful when you want a column of widgets to have the same size, but you can't use a Table widget.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3